import javax.swing.JOptionPane

onBootstrapEnd = { app ->
  app.addShutdownHandler([
          canShutdown: { a ->
            return JOptionPane.showConfirmDialog(
                    app.windowManager.windows.find {it.focused},
                    "Do you really want to exit?",
                    "Exit",
                    JOptionPane.YES_NO_OPTION) == JOptionPane.YES_OPTION
          },
          onShutdown: { a -> }
  ] as griffon.core.ShutdownHandler)
}