package ccc

actions {
    action(id: 'openAction',
            name: "Open",
            closure: controller.open,
            accelerator: shortcut('O'),
            mnemonic: 'O',
            shortDescription: "Open in default application",
            smallIcon: crystalIcon(category: 'actions', icon: "cnr", size: 24),
            enabled: bind {model.selectedFile != null}
    )
    action(id: 'detailsAction',
            name: "Show Details",
            closure: controller.details,
            accelerator: shortcut('D'),
            mnemonic: 'D',
            shortDescription: "Show details",
            smallIcon: crystalIcon(category: 'actions', icon: "utilities", size: 24),
            enabled: bind {model.selectedFile != null}
    )
}
