package ccc

dialog(id: 'dialog', title: 'Details', visible: false, modal: true, locationByPlatform: true) {
    panel {
        migLayout(layoutConstraints: 'fill, wrap 2', columnConstraints: '[left][left, fill, grow]')
        label('Name')
        label(text: bind {model.file.path})
        label('Size')
        label(text: bind {model.file.length()})
        label('Last modified')
        label(text: bind {new Date(model.file.lastModified()).format('yyyy-MM-dd HH:mm:ss')})
        label('Read / Write / Execute')
        checkBox(selected: bind {model.file.canRead()}, constraints: 'split 3')
        checkBox(selected: bind {model.file.canWrite()})
        checkBox(selected: bind {model.file.canExecute()})

        button(action: action(name: 'Close', closure: {dialog.visible = false}), constraints: 'skip')
    }
}

